Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class TypeConversionMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.foundation.AbstractDirectMapping
oracle.toplink.mappings.DirectToFieldMapping
oracle.toplink.mappings.TypeConversionMapping`

All Implemented Interfaces:
  java.lang.Cloneable, oracle.toplink.mappings.RelationalMapping, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `TypeConversionConverter`

public class TypeConversionMapping
extends DirectToFieldMapping

Purpose: Type conversion mappings are used to explicitly map a database type to a Java type. Note this functionality has been somewhat replaced by TypeConversionConverter which can be used to obtain the same functionality on DirectToField and DirectCollection mappings.

Since:
  TopLink/Java 1.0
See Also:
  `TypeConversionConverter`, Serialized Form

Constructor Summary
`TypeConversionMapping()` Deprecated. PUBLIC: Default constructor.

Method Summary
`java.lang.Class` | `getFieldClassification()` Deprecated. PUBLIC: Returns the field type.
`void` | `setFieldClassification(java.lang.Class fieldType)` Deprecated. PUBLIC: Set the field type.

Methods inherited from class oracle.toplink.mappings.DirectToFieldMapping
`setFieldName`

Methods inherited from class oracle.toplink.mappings.foundation.AbstractDirectMapping
`getAttributeClassification, getAttributeClassificationName, getConverter, getFieldName, getNullValue, isMutable, setAttributeClassification, setConverter, setField, setFieldType, setIsMutable, setNullValue`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight, simpleAddToCollectionChangeRecord, simpleRemoveFromCollectionChangeRecord`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeConversionMapping

    public TypeConversionMapping()

  Deprecated.
  PUBLIC: Default constructor.

Method Detail

### getFieldClassification

    public java.lang.Class getFieldClassification()

  Deprecated.
  PUBLIC: Returns the field type. For this mapping both field classification and attribute classification are specified. Field classification is used when writing to the database.
  Overrides:
    `getFieldClassification` in class `AbstractDirectMapping`

### setFieldClassification

    public void setFieldClassification(java.lang.Class fieldType)

  Deprecated.
  PUBLIC: Set the field type. For this mapping both field classification and attribute classification are specified. Field classification is used when writing to the database.
  Overrides:
    `setFieldClassification` in class `AbstractDirectMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD